Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features
Class PossibleValue

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.PossibleValue

All Implemented Interfaces:
  IPossibleValue

public class PossibleValue
extends java.lang.Object
implements IPossibleValue

Constructor Summary
`PossibleValue(java.lang.String value)`
`PossibleValue(java.lang.String value, java.lang.String displayValue)`
`PossibleValue(java.lang.String value, java.lang.String displayValue, boolean isDefaultValue)`

Method Summary
`java.lang.String` | `getAdditionalInformation()`
`java.lang.String` | `getDisplayValue()`
`org.eclipse.jface.resource.ImageDescriptor` | `getIcon()`
`java.lang.String` | `getValue()`
`boolean` | `isDefaultValue()`
`void` | `setAdditionalInformation(java.lang.String additionalInfo)`
`void` | `setDisplayValue(java.lang.String displayValue)`
`void` | `setIcon(org.eclipse.jface.resource.ImageDescriptor smallIcon)`
`void` | `setIsDefault(boolean isDefault)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PossibleValue

    public PossibleValue(java.lang.String value)

### PossibleValue

    public PossibleValue(java.lang.String value,
                         java.lang.String displayValue)

### PossibleValue

    public PossibleValue(java.lang.String value,
                         java.lang.String displayValue,
                         boolean isDefaultValue)

Method Detail

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `IPossibleValue`
  Returns:
    value to set. should not return null.

### getDisplayValue

    public java.lang.String getDisplayValue()

  Specified by:
    `getDisplayValue` in interface `IPossibleValue`
  Returns:
    value to display in a proposal which can be different than what is set. Must not return null.

### getIcon

    public org.eclipse.jface.resource.ImageDescriptor getIcon()

  Specified by:
    `getIcon` in interface `IPossibleValue`
  Returns:
    ImageDescriptor for image to be displayed in a proposal. May be null.

### isDefaultValue

    public boolean isDefaultValue()

  Specified by:
    `isDefaultValue` in interface `IPossibleValue`
  Returns:
    true if is known to be the default value.

### getAdditionalInformation

    public java.lang.String getAdditionalInformation()

  Specified by:
    `getAdditionalInformation` in interface `IPossibleValue`
  Returns:
    additional information that could be used for descriptive help May be null

### setValue

    public void setValue(java.lang.String value)

### setDisplayValue

    public void setDisplayValue(java.lang.String displayValue)

### setIcon

    public void setIcon(org.eclipse.jface.resource.ImageDescriptor smallIcon)

### setIsDefault

    public void setIsDefault(boolean isDefault)

### setAdditionalInformation

    public void setAdditionalInformation(java.lang.String additionalInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD